﻿using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using DateiSystem;
using System.IO;
using System.Xml.Serialization;

namespace UnitTest
{
    [TestClass]
    public class FileSystemTest
    {
        [TestMethod]
        public void SerialisationTest()
        {
            var test = MockDateiSystem.CreateMockFileSystem();

            using (var memstream = new MemoryStream())
            {
                XmlSerializer s = new XmlSerializer(typeof(Ordner));
                s.Serialize(memstream, test);

                memstream.Seek(0, SeekOrigin.Begin); //stream wieder auf position 0 setzen

                var result = s.Deserialize(memstream);
            }
        }
    }
}
