﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace DateiSystem
{
    [XmlInclude(typeof(Ordner))]
    [XmlInclude(typeof(Datei))]
    public abstract class DateiSystemBase
    {
        public virtual string DisplayName
        {
            get;
            set;
        }

        //nur als beispiel gedacht
        public abstract bool CanDelete { get; } 
        public abstract bool CanRename { get; }
        //... und so weiter was du eben brauchst

        public override string ToString()
        {
            return DisplayName;
        }
    }
}
