﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DateiSystem
{
    public static class MockDateiSystem
    {
        public static Ordner CreateMockFileSystem()
        {
            return new Ordner()
            {
                UnterDateien = new List<Datei>()
                {
                    new Datei("TestDatei1.xml"),
                    new Datei("TestDatei2.xml"),
                    new Datei("TestDatei3.xml")
                },
                UnterOrdner = new List<Ordner>()
                {
                    new Ordner("Unterordner1")
                    {
                        UnterDateien = new List<Datei>()
                        {
                            new Datei("Testdatei1.sys"),
                            new Datei("Testdatei2.sys"),
                            new Datei("Dokument.docx")
                        },
                    },
                    new Ordner("Unterordner2")
                    {
                        UnterOrdner = new List<Ordner>()
                        {
                            new Ordner("TestOrdner")
                            {
                                UnterDateien = new List<Datei>()
                                {
                                    new Datei("Datei123.txt"),
                                    new Datei("Passwörter.txt")
                                }
                            },
                            new Ordner("TestOrdner2")
                            {
                                UnterOrdner = new List<Ordner>()
                                {
                                    new Ordner("Ordner123")
                                    {
                                        UnterDateien = new List<Datei>()
                                        {
                                            new Datei("Datei567.bat"),
                                            new Datei("FERTGI.txt")
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            };
        }
    }
}
