﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DateiSystem
{
    public class Ordner : DateiSystemBase
    {
        public Ordner()
        {
        }
        public Ordner(string name)
        {
            DisplayName = name;
        }

        List<Datei> _unterDateien;
        public List<Datei> UnterDateien
        {
            get { return _unterDateien ?? (_unterDateien = new List<Datei>()); }
            set { _unterDateien = value; }
        }

        List<Ordner> _unterOrdner;
        public List<Ordner> UnterOrdner
        {
            get { return _unterOrdner ?? (_unterOrdner = new List<Ordner>()); }
            set { _unterOrdner = value; }
        }

        public override bool CanDelete
        {
            get { return true; }
        }

        public override bool CanRename
        {
            get { return true; }
        }
    }
}
